Package com.ocient.jdbc.proto

## Interface PlanProtocol.WindowOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.WindowOperator`, `PlanProtocol.WindowOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.WindowOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`double` `getConstFloatArgs​(int index)` For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used
`int` `getConstFloatArgsCount()` For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used
`List<Double>` `getConstFloatArgsList()` For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used
`long` `getConstIntArgs​(int index)` For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used
`int` `getConstIntArgsCount()` For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used
`List<Long>` `getConstIntArgsList()` For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used
`boolean` `getDirections​(int index)` The directions for each sort col - true = ascending
`int` `getDirectionsCount()` The directions for each sort col - true = ascending
`List<Boolean>` `getDirectionsList()` The directions for each sort col - true = ascending
`PlanProtocol.FrameSpec` `getFrames​(int index)` The frame specification for each op, in the same order
`int` `getFramesCount()` The frame specification for each op, in the same order
`List<PlanProtocol.FrameSpec>` `getFramesList()` The frame specification for each op, in the same order
`PlanProtocol.FrameSpecOrBuilder` `getFramesOrBuilder​(int index)` The frame specification for each op, in the same order
`List<? extends PlanProtocol.FrameSpecOrBuilder>` `getFramesOrBuilderList()` The frame specification for each op, in the same order

`String`

`getInputCols​(int index)`

The columns to perform each aggregation on (for operations that take a normal column argument) In the same order as ops (and same size) The following operations have no input, so any value in those positions is garbage WINDOW_OP_COUNT_STAR WINDOW_OP_RANK WINDOW_OP_DENSE_RANK WINDOW_OP_ROW_NUMBER WINDOW_OP_FIRST_VALUE WINDOW_OP_LAST_VALUE WINDOW_OP_CUME_DIST WINDOW_OP_PERCENT_RANK Additionally these operations only have constant input values, not a column input - so there is nothing here WINDOW_OP_NTH_VALUE WINDOW_OP_NTILE

`com.google.protobuf.ByteString`

`getInputColsBytes​(int index)`

The columns to perform each aggregation on (for operations that take a normal column argument) In the same order as ops (and same size) The following operations have no input, so any value in those positions is garbage WINDOW_OP_COUNT_STAR WINDOW_OP_RANK WINDOW_OP_DENSE_RANK WINDOW_OP_ROW_NUMBER WINDOW_OP_FIRST_VALUE WINDOW_OP_LAST_VALUE WINDOW_OP_CUME_DIST WINDOW_OP_PERCENT_RANK Additionally these operations only have constant input values, not a column input - so there is nothing here WINDOW_OP_NTH_VALUE WINDOW_OP_NTILE

`int`

`getInputColsCount()`

The columns to perform each aggregation on (for operations that take a normal column argument) In the same order as ops (and same size) The following operations have no input, so any value in those positions is garbage WINDOW_OP_COUNT_STAR WINDOW_OP_RANK WINDOW_OP_DENSE_RANK WINDOW_OP_ROW_NUMBER WINDOW_OP_FIRST_VALUE WINDOW_OP_LAST_VALUE WINDOW_OP_CUME_DIST WINDOW_OP_PERCENT_RANK Additionally these operations only have constant input values, not a column input - so there is nothing here WINDOW_OP_NTH_VALUE WINDOW_OP_NTILE

`List<String>`

`getInputColsList()`

The columns to perform each aggregation on (for operations that take a normal column argument) In the same order as ops (and same size) The following operations have no input, so any value in those positions is garbage WINDOW_OP_COUNT_STAR WINDOW_OP_RANK WINDOW_OP_DENSE_RANK WINDOW_OP_ROW_NUMBER WINDOW_OP_FIRST_VALUE WINDOW_OP_LAST_VALUE WINDOW_OP_CUME_DIST WINDOW_OP_PERCENT_RANK Additionally these operations only have constant input values, not a column input - so there is nothing here WINDOW_OP_NTH_VALUE WINDOW_OP_NTILE

`boolean` `getLimit1()` Is there an immediate following limit 1?
`PlanProtocol.WindowOperator.WindowOp` `getOps​(int index)` The aggregation operations to perform
`int` `getOpsCount()` The aggregation operations to perform
`List<PlanProtocol.WindowOperator.WindowOp>` `getOpsList()` The aggregation operations to perform
`int` `getOpsValue​(int index)` The aggregation operations to perform
`List<Integer>` `getOpsValueList()` The aggregation operations to perform
`String` `getOutputCols​(int index)` The name to give to the columns created by each aggregation operation
`com.google.protobuf.ByteString` `getOutputColsBytes​(int index)` The name to give to the columns created by each aggregation operation
`int` `getOutputColsCount()` The name to give to the columns created by each aggregation operation
`List<String>` `getOutputColsList()` The name to give to the columns created by each aggregation operation
`String` `getOutputColsTypes​(int index)` The types for the outputCols, in the same order
`com.google.protobuf.ByteString` `getOutputColsTypesBytes​(int index)` The types for the outputCols, in the same order
`int` `getOutputColsTypesCount()` The types for the outputCols, in the same order
`List<String>` `getOutputColsTypesList()` The types for the outputCols, in the same order
`String` `getPartitioningCols​(int index)` Partitioning columns
`com.google.protobuf.ByteString` `getPartitioningColsBytes​(int index)` Partitioning columns
`int` `getPartitioningColsCount()` Partitioning columns
`List<String>` `getPartitioningColsList()` Partitioning columns
`String` `getSortKeys​(int index)` The sort columns - already includes partitioning cols if any
`com.google.protobuf.ByteString` `getSortKeysBytes​(int index)` The sort columns - already includes partitioning cols if any
`int` `getSortKeysCount()` The sort columns - already includes partitioning cols if any
`List<String>` `getSortKeysList()` The sort columns - already includes partitioning cols if any

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getPartitioningColsList

    List<String> getPartitioningColsList()

    Partitioning columns

`repeated string partitioning_cols = 1;`

Returns:
  A list containing the partitioningCols.

#### getPartitioningColsCount

    int getPartitioningColsCount()

    Partitioning columns

`repeated string partitioning_cols = 1;`

Returns:
  The count of partitioningCols.

#### getPartitioningCols

    String getPartitioningCols​(int index)

    Partitioning columns

`repeated string partitioning_cols = 1;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The partitioningCols at the given index.

#### getPartitioningColsBytes

    com.google.protobuf.ByteString getPartitioningColsBytes​(int index)

    Partitioning columns

`repeated string partitioning_cols = 1;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the partitioningCols at the given index.

#### getSortKeysList

    List<String> getSortKeysList()

    The sort columns - already includes partitioning cols if any

`repeated string sortKeys = 2;`

Returns:
  A list containing the sortKeys.

#### getSortKeysCount

    int getSortKeysCount()

    The sort columns - already includes partitioning cols if any

`repeated string sortKeys = 2;`

Returns:
  The count of sortKeys.

#### getSortKeys

    String getSortKeys​(int index)

    The sort columns - already includes partitioning cols if any

`repeated string sortKeys = 2;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The sortKeys at the given index.

#### getSortKeysBytes

    com.google.protobuf.ByteString getSortKeysBytes​(int index)

    The sort columns - already includes partitioning cols if any

`repeated string sortKeys = 2;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the sortKeys at the given index.

#### getDirectionsList

    List<Boolean> getDirectionsList()

    The directions for each sort col - true = ascending

`repeated bool directions = 3;`

Returns:
  A list containing the directions.

#### getDirectionsCount

    int getDirectionsCount()

    The directions for each sort col - true = ascending

`repeated bool directions = 3;`

Returns:
  The count of directions.

#### getDirections

    boolean getDirections​(int index)

    The directions for each sort col - true = ascending

`repeated bool directions = 3;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The directions at the given index.

#### getOpsList

    List<PlanProtocol.WindowOperator.WindowOp> getOpsList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

Returns:
  A list containing the ops.

#### getOpsCount

    int getOpsCount()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

Returns:
  The count of ops.

#### getOps

    PlanProtocol.WindowOperator.WindowOp getOps​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The ops at the given index.

#### getOpsValueList

    List<Integer> getOpsValueList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

Returns:
  A list containing the enum numeric values on the wire for ops.

#### getOpsValue

    int getOpsValue​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The enum numeric value on the wire of ops at the given index.

#### getInputColsList

    List<String> getInputColsList()

    The columns to perform each aggregation on (for operations that take a normal column argument)
    In the same order as ops (and same size)
    The following operations have no input, so any value in those positions is garbage
    WINDOW_OP_COUNT_STAR
    WINDOW_OP_RANK
    WINDOW_OP_DENSE_RANK
    WINDOW_OP_ROW_NUMBER
    WINDOW_OP_FIRST_VALUE
    WINDOW_OP_LAST_VALUE
    WINDOW_OP_CUME_DIST
    WINDOW_OP_PERCENT_RANK
    Additionally these operations only have constant input values, not a column input - so there is nothing here
    WINDOW_OP_NTH_VALUE
    WINDOW_OP_NTILE

`repeated string inputCols = 5;`

Returns:
  A list containing the inputCols.

#### getInputColsCount

    int getInputColsCount()

    The columns to perform each aggregation on (for operations that take a normal column argument)
    In the same order as ops (and same size)
    The following operations have no input, so any value in those positions is garbage
    WINDOW_OP_COUNT_STAR
    WINDOW_OP_RANK
    WINDOW_OP_DENSE_RANK
    WINDOW_OP_ROW_NUMBER
    WINDOW_OP_FIRST_VALUE
    WINDOW_OP_LAST_VALUE
    WINDOW_OP_CUME_DIST
    WINDOW_OP_PERCENT_RANK
    Additionally these operations only have constant input values, not a column input - so there is nothing here
    WINDOW_OP_NTH_VALUE
    WINDOW_OP_NTILE

`repeated string inputCols = 5;`

Returns:
  The count of inputCols.

#### getInputCols

    String getInputCols​(int index)

    The columns to perform each aggregation on (for operations that take a normal column argument)
    In the same order as ops (and same size)
    The following operations have no input, so any value in those positions is garbage
    WINDOW_OP_COUNT_STAR
    WINDOW_OP_RANK
    WINDOW_OP_DENSE_RANK
    WINDOW_OP_ROW_NUMBER
    WINDOW_OP_FIRST_VALUE
    WINDOW_OP_LAST_VALUE
    WINDOW_OP_CUME_DIST
    WINDOW_OP_PERCENT_RANK
    Additionally these operations only have constant input values, not a column input - so there is nothing here
    WINDOW_OP_NTH_VALUE
    WINDOW_OP_NTILE

`repeated string inputCols = 5;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The inputCols at the given index.

#### getInputColsBytes

    com.google.protobuf.ByteString getInputColsBytes​(int index)

    The columns to perform each aggregation on (for operations that take a normal column argument)
    In the same order as ops (and same size)
    The following operations have no input, so any value in those positions is garbage
    WINDOW_OP_COUNT_STAR
    WINDOW_OP_RANK
    WINDOW_OP_DENSE_RANK
    WINDOW_OP_ROW_NUMBER
    WINDOW_OP_FIRST_VALUE
    WINDOW_OP_LAST_VALUE
    WINDOW_OP_CUME_DIST
    WINDOW_OP_PERCENT_RANK
    Additionally these operations only have constant input values, not a column input - so there is nothing here
    WINDOW_OP_NTH_VALUE
    WINDOW_OP_NTILE

`repeated string inputCols = 5;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the inputCols at the given index.

#### getOutputColsList

    List<String> getOutputColsList()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 6;`

Returns:
  A list containing the outputCols.

#### getOutputColsCount

    int getOutputColsCount()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 6;`

Returns:
  The count of outputCols.

#### getOutputCols

    String getOutputCols​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 6;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The outputCols at the given index.

#### getOutputColsBytes

    com.google.protobuf.ByteString getOutputColsBytes​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 6;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the outputCols at the given index.

#### getOutputColsTypesList

    List<String> getOutputColsTypesList()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 7;`

Returns:
  A list containing the outputColsTypes.

#### getOutputColsTypesCount

    int getOutputColsTypesCount()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 7;`

Returns:
  The count of outputColsTypes.

#### getOutputColsTypes

    String getOutputColsTypes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 7;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The outputColsTypes at the given index.

#### getOutputColsTypesBytes

    com.google.protobuf.ByteString getOutputColsTypesBytes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 7;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the outputColsTypes at the given index.

#### getFramesList

    List<PlanProtocol.FrameSpec> getFramesList()

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

#### getFrames

    PlanProtocol.FrameSpec getFrames​(int index)

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

#### getFramesCount

    int getFramesCount()

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

#### getFramesOrBuilderList

    List<? extends PlanProtocol.FrameSpecOrBuilder> getFramesOrBuilderList()

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

#### getFramesOrBuilder

    PlanProtocol.FrameSpecOrBuilder getFramesOrBuilder​(int index)

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

#### getConstIntArgsList

    List<Long> getConstIntArgsList()

    For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used

`repeated int64 constIntArgs = 9;`

Returns:
  A list containing the constIntArgs.

#### getConstIntArgsCount

    int getConstIntArgsCount()

    For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used

`repeated int64 constIntArgs = 9;`

Returns:
  The count of constIntArgs.

#### getConstIntArgs

    long getConstIntArgs​(int index)

    For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used

`repeated int64 constIntArgs = 9;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The constIntArgs at the given index.

#### getConstFloatArgsList

    List<Double> getConstFloatArgsList()

    For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used

`repeated double constFloatArgs = 10;`

Returns:
  A list containing the constFloatArgs.

#### getConstFloatArgsCount

    int getConstFloatArgsCount()

    For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used

`repeated double constFloatArgs = 10;`

Returns:
  The count of constFloatArgs.

#### getConstFloatArgs

    double getConstFloatArgs​(int index)

    For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used

`repeated double constFloatArgs = 10;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The constFloatArgs at the given index.

#### getLimit1

    boolean getLimit1()

    Is there an immediate following limit 1?

`bool limit1 = 11;`

Returns:
  The limit1.